# Run a Data Load Schedules a Data Load for immediate (but asynchronous) execution. Endpoint: POST /datamart.rundataload Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object) - `data.version` (number) - `data.typedId` (string, required) Use the typedId to run calculations. For other types (flush, refresh or truncate), use targetName (and sourceName). - `data.label` (string) - `data.type` (string) The Data Load Type. Enum: "CALCULATION", "DM_REFRESH", "DM_SIMULATION", "DS_CUSTOMERS", "DS_DEFAULTCA", "DS_FLUSH", "DS_PRODUCTSL", "TRUNCATE" - `data.targetName` (string, required) Use the typedId to run calculations. For other types (flush, refresh or truncate), use targetName (and sourceName). Example: "DMDS.Product" - `data.sourceName` (string, required) Example: "DMF.Product" - `data.withTargetSnapshot` (boolean) - `data.schedules` (array) - `data.numberOfItems` (number) - `data.calculationConfig` (object) - `data.calculationConfig.feederInputParams` (array) - `data.calculationConfig.inputParams` (array) - `data.calculationConfig.mappingParams` (array) - `data.calculationConfig.outputElements` (array) - `data.requestTime` (number) - `data.lastUpdateTime` (number) - `data.createDate` (string) - `data.createdBy` (number) - `data.lastUpdateDate` (string) - `data.lastUpdateBy` (number) - `data.status` (string) - `data.isDefault` (boolean) - `data.incremental` (boolean) - `data.distributed` (boolean) - `data.continuous` (boolean) - `data.valid` (boolean) - `data.isPlasma` (boolean) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.targetDate` (any) - `response.data.label` (string, required) - `response.data.locale` (any) - `response.data.type` (string) - `response.data.targetName` (string) - `response.data.sourceName` (string) - `response.data.loadMode` (any) - `response.data.sortBy` (any) - `response.data.sourceSortBy` (any) - `response.data.dtoFilter` (any) - `response.data.dtoSourceFilter` (any) - `response.data.withTargetSnapshot` (boolean) - `response.data.calculationContext` (any) - `response.data.allowBatching` (any) - `response.data.validationLogic` (any) - `response.data.calcItemsLookupTableId` (any) - `response.data.schedules` (any) - `response.data.jstId` (number, required) - `response.data.progressInfo` (any) - `response.data.numberOfItems` (number, required) - `response.data.actionUUID` (any) - `response.data.testRow` (any) - `response.data.testResult` (any) - `response.data.resultTableUniqueName` (any) - `response.data.pre80CalculationConfig` (any) - `response.data.calculationConfig` (object) - `response.data.calculationConfig.skuField` (any) - `response.data.calculationConfig.targetDateField` (any) - `response.data.calculationConfig.simulationSet` (any) - `response.data.calculationConfig.formulaName` (any) - `response.data.calculationConfig.feederFormulaName` (any) - `response.data.calculationConfig.feederInputParams` (array) - `response.data.calculationConfig.inputParams` (array) - `response.data.calculationConfig.mappingParams` (array) - `response.data.calculationConfig.outputElements` (array) - `response.data.calculationConfig.targetFields` (any) - `response.data.requestTime` (number) - `response.data.lastUpdateTime` (number) - `response.data.loadCompleteTime` (any) - `response.data.adhocDataLoadDefinition` (any) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.status` (string) - `response.data.calculationStartDate` (any) - `response.data.calculationDate` (any) - `response.data.isDefault` (boolean) - `response.data.incremental` (boolean) - `response.data.distributed` (boolean) - `response.data.continuous` (boolean) - `response.data.valid` (boolean) - `response.data.isPlasma` (boolean) - `response.data.incLoadDate` (any)